public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/libguestfs/
Date: Tue, 31 May 2022 08:43:01 +0000 (UTC)	[thread overview]
Message-ID: <1653986574.29cc9e6c686f05b8017855a52741edc5dc296398.sam@gentoo> (raw)

commit:     29cc9e6c686f05b8017855a52741edc5dc296398
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue May 31 08:39:51 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue May 31 08:42:54 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29cc9e6c

app-emulation/libguestfs: add 1.48.3

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-emulation/libguestfs/Manifest                 |   1 +
 app-emulation/libguestfs/libguestfs-1.48.3.ebuild | 218 ++++++++++++++++++++++
 2 files changed, 219 insertions(+)

diff --git a/app-emulation/libguestfs/Manifest b/app-emulation/libguestfs/Manifest
index c28ffbbb1e49..e08dbbea05b8 100644
--- a/app-emulation/libguestfs/Manifest
+++ b/app-emulation/libguestfs/Manifest
@@ -1 +1,2 @@
 DIST libguestfs-1.48.0.tar.gz 18426132 BLAKE2B a0ace19998e6eb368fa8ad73242b7c35c72244e9b9881f3adb76dcc8ed6e9a77691012e5786a26680a944d0876091bbb1d0f9ac63c0f5046538acf4402f840ac SHA512 b2486f32a3958c2b3e68d3f547dcd192dc7f8c59e0efd8660cd27cae9c218ce4fc2a60480dcb6bb0d10d8abbc2d2f4796075aea1cfab5e3c7cd12c38d4352fe2
+DIST libguestfs-1.48.3.tar.gz 19185249 BLAKE2B 1de07920c731a64ece9f1541752672a0251af73e455a3bd74fff6d512e96ef3a1b8182728080571fbf0f49ef072ed17029c6a5bd12f8171a1d2079bff0c22df2 SHA512 d88b7869e6098af1f7748dc2e8163b245ea251fcdf962a71e3735f5a1748c9e87a17be259802da3e0bb13569d7f7233b2c5a554b20a2a7758e1974a30a70b786

diff --git a/app-emulation/libguestfs/libguestfs-1.48.3.ebuild b/app-emulation/libguestfs/libguestfs-1.48.3.ebuild
new file mode 100644
index 000000000000..c1141e2e9a88
--- /dev/null
+++ b/app-emulation/libguestfs/libguestfs-1.48.3.ebuild
@@ -0,0 +1,218 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# Bump with app-emulation/guestfs-tools and app-emulation/libguestfs-appliance (if any new release there)
+
+LUA_COMPAT=( lua5-1 )
+PYTHON_COMPAT=( python3_{8,9,10} )
+
+inherit autotools flag-o-matic linux-info lua-single perl-functions python-single-r1 strip-linguas toolchain-funcs
+
+MY_PV_1="$(ver_cut 1-2)"
+MY_PV_2="$(ver_cut 2)"
+[[ $(( ${MY_PV_2} % 2 )) -eq 0 ]] && SD="stable" || SD="development"
+
+DESCRIPTION="Tools for accessing, inspecting, and modifying virtual machine (VM) disk images"
+HOMEPAGE="https://libguestfs.org/"
+SRC_URI="https://libguestfs.org/download/${MY_PV_1}-${SD}/${P}.tar.gz"
+
+LICENSE="GPL-2 LGPL-2"
+SLOT="0/${MY_PV_1}"
+KEYWORDS="~amd64"
+IUSE="doc erlang +fuse gtk inspect-icons introspection libvirt lua +ocaml +perl python ruby selinux static-libs systemtap test"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} )
+	python? ( ${PYTHON_REQUIRED_USE} )"
+
+# Failures - doc
+COMMON_DEPEND="
+	>=app-admin/augeas-1.8.0
+	app-arch/cpio
+	app-arch/lzma
+	app-arch/rpm
+	app-arch/unzip[natspec]
+	app-arch/xz-utils
+	app-forensics/yara
+	app-cdr/cdrtools
+	app-crypt/gnupg
+	>=app-emulation/qemu-2.0[qemu_softmmu_targets_x86_64,systemtap?,selinux?,filecaps]
+	>=app-misc/hivex-1.3.1
+	dev-lang/perl:=
+	dev-libs/libconfig:=
+	dev-libs/libpcre2
+	dev-libs/libxml2:2=
+	dev-libs/jansson:=
+	>=dev-libs/yajl-2.0.4
+	net-libs/libtirpc:=
+	sys-libs/ncurses:0=
+	>=sys-apps/fakechroot-2.8
+	sys-apps/fakeroot
+	sys-apps/file
+	sys-devel/gettext
+	sys-fs/squashfs-tools:*
+	sys-libs/libcap
+	sys-libs/readline:=
+	virtual/acl
+	virtual/libcrypt:=
+	erlang? ( dev-lang/erlang )
+	perl? (
+		virtual/perl-ExtUtils-MakeMaker
+		>=dev-perl/Sys-Virt-0.2.4
+		virtual/perl-Getopt-Long
+		virtual/perl-Data-Dumper
+		dev-perl/libintl-perl
+		>=app-misc/hivex-1.3.1[perl?]
+		dev-perl/String-ShellQuote
+	)
+	python? ( ${PYTHON_DEPS} )
+	fuse? ( sys-fs/fuse:= )
+	gtk? (
+		sys-apps/dbus
+		x11-libs/gtk+:3
+	)
+	introspection? (
+		>=dev-libs/glib-2.26:2
+		>=dev-libs/gobject-introspection-1.30.0:=
+	)
+	inspect-icons? (
+		media-libs/netpbm
+		media-gfx/icoutils
+	)
+	libvirt? ( app-emulation/libvirt )
+	lua? ( ${LUA_DEPS} )
+	ocaml? ( >=dev-lang/ocaml-4.03:=[ocamlopt] )
+	selinux? (
+		sys-libs/libselinux:=
+		sys-libs/libsemanage
+	)
+	systemtap? ( dev-util/systemtap )
+"
+# Some OCaml is always required
+# bug #729674
+DEPEND="${COMMON_DEPEND}
+	>=dev-lang/ocaml-4.03:=[ocamlopt]
+	dev-util/gperf
+	dev-ml/findlib[ocamlopt]
+	doc? ( app-text/po4a )
+	ocaml? (
+		dev-ml/ounit2[ocamlopt]
+		|| (
+			<dev-ml/ocaml-gettext-0.4.2
+			dev-ml/ocaml-gettext-stub[ocamlopt]
+		)
+	)
+	ruby? ( dev-lang/ruby virtual/rubygems dev-ruby/rake )
+	test? ( introspection? ( dev-libs/gjs ) )
+"
+BDEPEND="virtual/pkgconfig"
+RDEPEND="${COMMON_DEPEND}
+	app-emulation/libguestfs-appliance
+	acct-group/kvm
+"
+# Upstream build scripts compile and install Lua bindings for the ABI version
+# obtained by running 'lua' on the build host
+BDEPEND="lua? ( ${LUA_DEPS} )"
+
+DOCS=( AUTHORS BUGS ChangeLog HACKING README TODO )
+
+PATCHES=(
+	#"${FILESDIR}"/${MY_PV_1}/
+	"${FILESDIR}"/1.44/
+)
+
+pkg_setup() {
+	CONFIG_CHECK="~KVM ~VIRTIO"
+	[[ -n "${CONFIG_CHECK}" ]] && check_extra_config
+
+	use lua && lua-single_pkg_setup
+	use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	eautoreconf
+}
+
+src_configure() {
+	# bug #794877
+	tc-export AR
+
+	# Skip Bash test
+	# (See 13-test-suite.log in linked bug)
+	# bug #794874
+	export SKIP_TEST_COMPLETE_IN_SCRIPT_SH=1
+
+	# Disable feature test for kvm for more reason
+	# i.e: not loaded module in __build__ time,
+	# build server not supported kvm, etc. ...
+	#
+	# In fact, this feature is virtio support and requires
+	# configured kernel.
+	export vmchannel_test=no
+
+	# Give a nudge to help find libxcrypt[-system]
+	# We have a := dep on virtual/libcrypt to ensure this doesn't become stale.
+	# bug #703118, bug #789354
+	if ! has_version 'sys-libs/libxcrypt[system]' ; then
+		append-ldflags "-L${ESYSROOT}/usr/$(get_libdir)/xcrypt"
+		append-ldflags "-Wl,-R${ESYSROOT}/usr/$(get_libdir)/xcrypt"
+	fi
+
+	# Avoid automagic SELinux dependency
+	export ac_cv_header_selinux_selinux_h=$(usex selinux)
+
+	# Test suite at least has a bunch of bashisms
+	SHELL="${BROOT}"/bin/bash CONFIG_SHELL="${BROOT}"/bin/bash econf \
+		--disable-appliance \
+		--disable-daemon \
+		--disable-haskell \
+		--disable-golang \
+		--disable-rust \
+		--disable-php \
+		--without-java \
+		--with-extra="-gentoo" \
+		--with-readline \
+		$(usex doc '' PO4A=no) \
+		$(use_enable ocaml) \
+		$(use_enable erlang) \
+		$(use_enable fuse) \
+		$(use_enable introspection gobject) \
+		$(use_enable introspection) \
+		$(use_with libvirt) \
+		$(use_enable lua) \
+		$(use_enable python) \
+		$(use_enable perl) \
+		$(use_enable ruby) \
+		$(use_enable static-libs static) \
+		$(use_enable systemtap probes)
+}
+
+src_install() {
+	strip-linguas -i po
+
+	emake DESTDIR="${D}" install "LINGUAS=""${LINGUAS}"""
+
+	find "${ED}" -name '*.la' -delete || die
+
+	if use perl ; then
+		perl_delete_localpod
+
+		# Workaround Build.PL for now
+		doman "${ED}"/usr/man/man3/Sys::Guestfs.3pm
+		rm -rf "${ED}"/usr/man || die
+	fi
+}
+
+pkg_postinst() {
+	einfo "Please ensure you are in the 'kvm' group for decent performance!"
+
+	if ! use gtk ; then
+		einfo "virt-p2v NOT installed"
+	fi
+
+	einfo "Note that common tools like virt-resize are now part of app-emulation/guestfs-tools"
+}


             reply	other threads:[~2022-05-31  8:43 UTC|newest]

Thread overview: 67+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-31  8:43 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-14 13:16 [gentoo-commits] repo/gentoo:master commit in: app-emulation/libguestfs/ Alfredo Tupone
2025-03-02 22:55 Sam James
2025-03-02 22:55 Sam James
2025-03-02 22:55 Sam James
2025-02-20  9:16 Joonas Niilola
2025-02-20  9:16 Joonas Niilola
2025-02-20  9:16 Joonas Niilola
2025-02-20  9:16 Joonas Niilola
2024-06-19 10:33 Pacho Ramos
2024-04-28  1:01 Sam James
2024-04-24 13:47 Sam James
2023-12-02 10:56 Arthur Zamarin
2023-10-08  2:12 Sam James
2023-10-08  1:58 Sam James
2023-10-08  1:58 Sam James
2023-10-07 13:41 Joonas Niilola
2023-10-07 13:41 Joonas Niilola
2023-04-10 19:57 Sven Wegener
2023-04-10 19:57 Sven Wegener
2023-04-10 19:57 Sven Wegener
2022-12-05 19:00 Arthur Zamarin
2022-07-28 14:09 Sam James
2022-07-13  4:32 Sam James
2022-04-10 10:01 Sam James
2022-04-10 10:01 Sam James
2022-04-10 10:01 Sam James
2022-04-10 10:01 Sam James
2022-03-06  9:18 Sam James
2021-10-31 19:21 Sam James
2021-10-24 20:24 Sam James
2021-10-22  2:47 Sam James
2021-10-08  1:53 Sam James
2021-10-07  6:12 Sam James
2021-10-07  6:11 Sam James
2021-10-02 21:41 Sam James
2021-06-30 10:15 Ulrich Müller
2021-06-18 22:51 Sam James
2021-06-18 22:51 Sam James
2021-06-08  8:54 Sam James
2021-06-08  8:54 Sam James
2021-06-08  6:55 Sam James
2021-03-13 16:14 Sam James
2021-03-13 16:14 Sam James
2021-03-13 16:14 Sam James
2021-02-11 20:33 Conrad Kostecki
2021-01-27  3:55 Sam James
2021-01-22 19:50 Sam James
2021-01-22  4:57 Sam James
2021-01-22  3:34 Sam James
2021-01-15 17:05 Michał Górny
2021-01-02  1:43 Sam James
2021-01-02  0:35 Sam James
2020-12-18  9:00 Michał Górny
2020-12-09 12:12 Marek Szuba
2020-12-03 22:58 Marek Szuba
2019-11-08 13:25 Andreas K. Hüttel
2018-12-07 13:02 Gilles Dartiguelongue
2018-06-27 17:15 Pacho Ramos
2018-05-25 19:11 Aaron Bauman
2018-04-02 17:50 Gilles Dartiguelongue
2018-02-07 22:39 Gilles Dartiguelongue
2017-12-03 21:35 Matt Thode
2017-09-03 22:47 Gilles Dartiguelongue
2017-08-12  5:16 Matt Thode
2017-07-19 20:10 Ian Stakenvicius
2016-10-02  9:25 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1653986574.29cc9e6c686f05b8017855a52741edc5dc296398.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox